Bug 1005647 - win8_64 guest can not access floppy with isa-fdc.driveB
win8_64 guest can not access floppy with isa-fdc.driveB
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: Ronen Hod
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-09 01:02 EDT by Jun Li
Modified: 2014-12-14 19:53 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Known Issue
Doc Text:
If only one floppy drive is present on a Microsoft Windows guest and the isa-fdc.driveB property is set, the following error message can appear when attempting to access the drive: A:\ is not accessible. The floppy disk controller returned inconsistent results in its registers. This problem only occurs when using the QEMU command line directly, which is not supported. To work around this problem, specify the isa-fdc.driveA property when using a single floppy drive.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 03:41:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screen shot : error message when access floppy (140.31 KB, image/png)
2013-09-09 01:08 EDT, Jun Li
no flags Details

  None (edit)
Description Jun Li 2013-09-09 01:02:26 EDT
Description of problem:
Boot win8_64 guest with only one floppy with isa-fdc.driveB, guest can not use this floppy. when access this floppy, it will show error message :"A:\ is not accessible. The floppy disk controller returned inconsistent results in its registers.". 

Version-Release number of selected component (if applicable):
3.10.0-11.el7.x86_64
qemu-kvm-1.5.2-4.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Boot win8_64 guest with only one floppy with isa-fdc.driveB.
#<qemu-kvm cli> ... -drive file=/home/floppy2.vfd,if=none,id=drive-fdc0-0-0,format=raw -global isa-fdc.driveB=drive-fdc0-0-0 ...
2.open floppy inside guest.
3.Check the error message.

Actual results:
When access the floppy, it will get a error message as attachment picture.

Expected results:
Can access floppy as normal with no error.

Additional info:
I also test linux guest, it could access this floppy correctly.
For win7_64 guest, it hits the same error.
When boot win8_64 guest with only one floppy with isa-fdc.driveA, guest could access this floppy correctly as normal.
Comment 1 Jun Li 2013-09-09 01:08:00 EDT
Created attachment 795489 [details]
screen shot : error message when access floppy
Comment 3 Ronen Hod 2013-09-09 09:52:51 EDT
Jun Li,

I assume that this is not a regression, and if indeed it is not a regression, then I prefer not to fix it.
Practically speaking, this is a rare situation that as you said can be easily
be worked around by using disk-A, or better using an ISO (floppy is really needed only for XP boot-time driver's installation).
Can you check if the problem existed also for RHEL6.4 with Win7 guests.

Thanks.
Comment 4 Jun Li 2013-09-10 01:22:40 EDT
(In reply to Ronen Hod from comment #3)
> Jun Li,
> 
> I assume that this is not a regression, and if indeed it is not a
> regression, then I prefer not to fix it.
> Practically speaking, this is a rare situation that as you said can be easily
> be worked around by using disk-A, or better using an ISO (floppy is really
> needed only for XP boot-time driver's installation).
> Can you check if the problem existed also for RHEL6.4 with Win7 guests.
> 
> Thanks.


On RHEL7 with qemu-kvm-1.4.0-4.el7.x86_64 with Win7 guests
Hit the same issue.
kernel version:3.10.0-18.el7.x86_64

On RHEL6.5 with Win7 guests
Hit this issue, too.
kernel and qemu-kvm version:
2.6.32-416.el6.x86_64
qemu-kvm-0.12.1.2-2.394.el6.x86_64

On released RHEL-6.4 with Win7 guests
Hit the same issue.
kernel and qemu-kvm version:
2.6.32-358.el6.x86_64
qemu-kvm-0.12.1.2-2.355.el6.x86_64

In my original thoughts, I thought I have hit this issue, so filed this bug. Now, I know this is not a regression. So I think whether fix this issue or not is ok. Thank you for your detailed explanations.

Note You need to log in before you can comment on or make changes to this bug.